import { alertStore } from "../../Stores/AlertStore";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionAlert {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    actionData;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param actionData Action data.
    *
    * @since 1.0.0
    */
    constructor(actionData) {
        this.actionData = actionData;
    }
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run() {
        alertStore.set(this.actionData);
    }
}
