import type HasFormData from './Interfaces/HasFormData';
import CSSClasses from './CSSClasses';
import Fieldset from './Fields/Fieldset';
/**
 * Class Form.
 *
 * @since 1.0.0
 */
export default class Form {
    readonly id: string;
    readonly fieldsets: Fieldset[];
    readonly classes: CSSClasses;
    private currentFieldsetId;
    /**
     * Initializing form data.
     *
     * @param formData Formdata from JSON file.
     *
     * @since 1.0.0
     */
    constructor(formData: HasFormData, formValues?: []);
    setCurrentFieldsetId(fieldsetId: string): void;
    getCurrentFieldsetId(): string;
    getCurrentFieldset(): Fieldset;
}
