import CSSClasses from './CSSClasses';
import Fieldset from './Fields/Fieldset';
/**
 * Class Form.
 *
 * @since 1.0.0
 */
export default class Form {
    id;
    fieldsets = [];
    classes;
    currentFieldsetId = '';
    /**
     * Initializing form data.
     *
     * @param formData Formdata from JSON file.
     *
     * @since 1.0.0
     */
    constructor(formData, formValues = []) {
        this.id = formData.id;
        this.currentFieldsetId = formData.fieldsets[0].id;
        formData.fieldsets.forEach((fieldsetData) => {
            this.fieldsets.push(new Fieldset(fieldsetData, formValues));
        });
        this.classes = new CSSClasses(formData.classes);
    }
    setCurrentFieldsetId(fieldsetId) {
        this.currentFieldsetId = fieldsetId;
    }
    getCurrentFieldsetId() {
        return this.currentFieldsetId;
    }
    getCurrentFieldset() {
        return this.fieldsets.find((fieldset) => {
            return fieldset.id === this.currentFieldsetId;
        });
    }
}
