import type HasCallbackData from "../Interfaces/HasCallbackData";
/**
 * Dynamic value class.
 *
 * @since 1.0.0
 */
export default class DynamicValue {
    private formValues;
    private valueFieldId;
    private valueDefault;
    private valueCallback;
    /**
     * Constructor.
     *
     * @param value Value of the field.
     * @param valueFieldId Value from another field.
     * @param valueDefault Default value.
     * @param valueCallback Callback function to get value.
     */
    constructor(formValues: [], valueFieldId: string, valueDefault: any, valueCallback: HasCallbackData);
    /**
     * Get value
     *
     * @param form Form object.
     * @param type Type of dynamic value.
     *
     * @since 1.0.0
     */
    get(): any;
}
